Subject: [bug#53878] [PATCH v2 05/15] gnu: chez-scheme: Use new package style.

From: Philip McGrath <[email-masked]>
Date: Fri, 18 Feb 2022 17:43:38 -0500

Hi,

On Friday, February 18, 2022 2:15:32 AM EST Liliana Marie Prikler wrote:
> Am Donnerstag, dem 17.02.2022 um 15:50 -0500 schrieb Philip McGrath:
> > * gnu/packages/chez-and-racket-bootstrap.scm (chez-scheme)[inputs,
> > native-inputs]: Remove labels.
> > [arguments]: Use G-expressions.
> > <#:phases>: Use 'search-input-file' instead of 'assoc-ref'.
> 
> If nothing else is preventing you from doing so, I'd cut this patch in
> two here.  Also
> 
> > (nanopass, stex): Make public as a temporary workaround for Racket.
> 
> You might want to make them public at the point of moving them to
> bootstrap and then hide them once you're done.  If you want to prevent
> the user from installing them, use hidden-package instead.

Racket would be broken if the patch were cut in two there: it was using 
`assoc-ref` to extract them from the inputs of Chez, in part to work around 
the cyclic dependency issues, but that didn't work with the removal of input 
labels.

In the commit that moved them to chez-and-racket-bootstrap.scm, I deliberately 
just cut and paste the definitions without changing anything, so I definitely 
wouldn't do this in that patch. Also, there was no reason to make them public 
until converting Chez to the new package style broke the existing workaround.

> 
> > * gnu/packages/racket/scm
> 
> .scm
> 

Thanks—feel free to fix it when applying, unless a v3 ends up being needed.

-Philip